Download it now!
Bug 135035 - FILEOPEN DOCX Automatic width frames in multi-column sections too wide
Summary: FILEOPEN DOCX Automatic width frames in multi-column sections too wide
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Frames
  Show dependency treegraph
 
Reported: 2020-07-22 06:46 UTC by NISZ LibreOffice Team
Modified: 2020-10-20 09:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer (204.37 KB, image/png)
2020-07-22 06:46 UTC, NISZ LibreOffice Team
Details
The example file opened in Word and current Writer (172.92 KB, image/png)
2020-09-09 14:19 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-22 06:46:38 UTC
Created attachment 163392 [details]
Screenshot of the original document side by side in Word and Writer

Attachment #162557 [details] and its Word screenshot of attachment #162558 [details] shows that in case of multiple column documents the width of frames with automatic width are aligned to column width.
In current Writer automatic width frames are not aligned to column width but page width, making wide frames from originally narrow ones.

Steps to reproduce:
    1. Open Attachment #162557 [details]

Actual results:
Frame automatic width is aligned to the page width.

Expected results:
Frame automatic width is aligned to column width, not page width.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 1c584069a86e35b847f398b8bf78dce7428c2f63
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-07-22 13:29:35 UTC
REproduced in

Version: 7.1.0.0.alpha0+
Build ID: b877b9bc894892e61f0d6311729f7b01139923d6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)


Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 2 Commit Notification 2020-08-07 07:53:09 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9e44075af76822106f738855bf36f0428088336d

tdf#135035 DOCX import: fix auto frame width in columns

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 NISZ LibreOffice Team 2020-09-09 14:19:05 UTC
Created attachment 165324 [details]
The example file opened in Word and current Writer

The solution is not perfect:

If the text is in one long paragraph then the frame is not resized according to the column width in the 2 and 3 columns case.

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 4c20bb789c7536f63a6844a4cb4489a18cee53c7
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 4 Commit Notification 2020-09-18 11:48:45 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/25302321097afbde034196f1b6b00892fafbee1b

tdf#135035 DOCX import: fix auto width of frame in column

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.